Subject: RE: [Sigtran] M2PA Queries

From: "Ong, Lyndon" <[email-masked]>
Date: Tue, 25 Jun 2002 13:11:24 -0700

Hi Sarju,

M2PA is now in Working Group Last Call, so the last draft is the draft of
record.  At the end of Last Call, any comments will be incorporated into
a draft 06 (unless there are no comments requiring text change) and this
will then go to IESG for review.

The archive is now at ftp://ftp.ietf.org/ietf-mail-archive/sigtran/ and 
there is no separate archive for M2PA (unless someone has started up a 
private list).

There are some interop-related drafts for the different adaptation layers,
they are typically labeled "implementors guide".

Cheers,

L. Ong

-----Original Message-----
From: Sarju Garg [mailto:[email-masked]]
Sent: Tuesday, June 25, 2002 12:10 AM
To: [email-masked]
Subject: [Sigtran] M2PA Queries

Hi all,

I am newbie for M2PA.  I am collecting details about M2PA before starting
implementing it:
1. The last draft is 05. When are we expecting the next draft.
2. when is next interop event and which M2PA version is most accepted.
3. I am unable to open sigtran archive. probably it is not at this location:
https://www1.ietf.org/mail-archive/working-groups/sigtran/current/maillist.h
tml . is there a seperate archive for M2PA.
4. I have read the interop test and issues. Is are other docs similiar to
this

Thanks
Sarju

----- Original Message -----
From: Brian F. G. Bidulock <[email-masked]>
To: Andrew Booth <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, June 24, 2002 11:56 PM
Subject: Re: [Sigtran] M2PA Question

> Andrew,
>
> The length indicator was included to make the UAs suitable for
> use with other IP transports such as TCP.  Just because we
> included that does not mean that use with TCP is recommended.
>
> One of TCP's major failings in contrast to SCTP is path failure
> detection during times of no (or low) data transfer.  SCTP's
> heartbeat mechanism is far superior to TCP's keepalive mechanism
> which can take up to a number of minutes to detect path failures.
> SCTP can detect the same path failures in seconds.
>
> In addition SCTP has the ability to rapidly and securely establish
> and restart associations, which TCP does not have.
>
> Also, M2PA does use multiple streams: one for status messages
> and another for data.  TCP has only the poor one-byte OOB
> equivalent.
>
> Certainly there are many reasons why SCTP should be used in place
> of TCP in this situation.  See the SCTP AS for more details.
>
> --brian
>
> Andrew Booth wrote:                                        (Mon, 24 Jun
2002 14:11:48)
> > Hi Brian,
> >
> > Brian F. G. Bidulock wrote:
> >
> > >Andrew,
> > >
> > >Andrew Booth wrote:                                        (Mon, 24 Jun
2002 10:40:59)
> > >
> > >
> > >>Question:
> > >>Is there any reason why we shouldn't allow M2PA/TCP/IP, which should
in
> > >>principle involve less overhead?  Do we use any of the features of
SCTP
> > >>that are not in TCP?
> > >>
> > >>
> > >
> > >Message delimitation.
> > >
> > The M2PA header contains a length indicator.  Isn't that enough for
> > message delimitation?
> >
> > Thanks,
> > Andrew
> >
> > >
> > >
> > >--brian
> > >
> > >
> > >
> >
> >
>
> --
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/
>
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran
>

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran